(function($) {
"use strict";

jQuery(document).ready(function($) {
	
	
	
	
	
	
$('.b_gonder').on('click', function(e){
	
	e.preventDefault();
	
var mesajInput = $('.bildirim_mesaji').val();
var issue 	   = $('#issue').val();
var bildirim_send = $('#k_radio-bildirim_sayfasi select').val();
var song_play_on_off = $('#song_play_on_off').val();

if(bildirim_send == 2){
	
var bildirim_send_url = $('#bildirim_sayfasi_url').val();


	
}else if (bildirim_send == 3){
	
var bildirim_editor = $('#k_radio-bildirim_editor textarea').val();	
	
}

	
	
if(mesajInput == ""){
	alert("Lütfen mesajı boş bırakmayın");
	return false;
}	





var param = {'issue':issue, 'mesaj':mesajInput, action:'kRadio', select:'bildirim', bildirim_send:bildirim_send, bildirim_send_url: bildirim_send_url, bildirim_editor:bildirim_editor, bildirim_editor:bildirim_editor, song_play_on_off:song_play_on_off };

$.ajax({
		url: kradio_js_object.ajax_url,
		type: 'post',
		data: param,
		dataType: 'json',
		success: function(data){
		console.log('post edildi ') ;  
		
		if(data.sonuc != "0") {
			
			console.log(data.sonuc);
			
		}else {
			
			console.log("Sorun var gönderilemedi");
			
		}
		
}
		
});
	
	
//$("#bildirimFormu").submit();
	
	
	
});



	$("#yayinTab li:first").addClass("aktif");
	$(".yayinContent").hide();
	$(".yayinContent:first").show();
	$("#yayinTab li").click(function(){
	var lino = $("#yayinTab li").index(this);
	$("#yayinTab li").removeClass("aktif");
	$(this).addClass("aktif");
	$(".yayinContent").hide();
	$(".yayinContent:eq("+ lino +")").fadeIn("slow");
	return false
	});

	
	
	//$('#5_section_group > table th').css("display", "none");
	
	$('#yeniYayin').on('click', function(e){
		e.preventDefault();
		
		var gunler 	   			= $('#gunler').val();
		var program_adi			= $('#program_adi option:selected').text();
		var prg_id				= $('#program_adi option:selected').val();
		var custom_program_adi	= $('#custom_program_adi').val();
		var program_saati		= $('#program_saati').val();
		var program_bitis_saati	= $('#program_bitis_saati').val();
		
		if(program_saati == "" || program_saati === undefined){
			alert("Lütfen program saatini yazınız.");
			$('#program_saati').focus();
			return;
		}
		
		var sonProgramAdi ;
		
		if(custom_program_adi != ""){
			sonProgramAdi = custom_program_adi;
			prg_id = '';
		}else{
			sonProgramAdi = program_adi;
		}
		
		var hangisiAktif = $("#yayinTab li.aktif").index();
		
		var ekle = '<li><div class="programAdi"><input type="text" value="'+sonProgramAdi+'" id="program_adi_l" name="program_adi_l[]"> </div> <div class="saatler"> <span><input type="text" style="width:55px;" value="' + program_saati + '" id="program_saati_l" name="program_saati_l[]"></span>  <span><input type="text" style="width:55px;" value="' + program_bitis_saati + '" id="program_bitis_saati" name="program_bitis_saati_l[]"></span><input type="hidden" name="prg_id[]" value="'+prg_id+'"><input type="hidden" name="gunler" value="'+hangisiAktif+'"><input type="hidden" name="action" value="yAkisi"></div> <div class="ySil">Sil</div></li>';
		
		
	
		$(".yayinContent").hide();
		$(".yayinContent:eq("+ hangisiAktif +")").fadeIn("slow");		
		$("#yayinTab li").removeClass("aktif");	
		$("#yayinTab li:eq("+hangisiAktif+")").addClass("aktif");
		
		$(".yayinContent:eq("+ hangisiAktif +") ul").append(ekle);

		console.log(hangisiAktif);

		//console.log(gunler+program_adi+custom_program_adi+program_saati+program_bitis_saati);

	});
	
	
	$('.ySil').on('click', function(e){
		e.preventDefault();
		
		var hangisiAktif = $("#yayinTab li.aktif").index();
		var index = $('.ySil').index(this);
		$(".yayinContent li:eq("+index+")").remove();	

	});	
	
	
	
	
	
	$('#yeniKaydet').on('click', function(e){
		e.preventDefault();
		
		var hangisiAktif 		= $("#yayinTab li.aktif").index();
		
		var values = $('#'+hangisiAktif).serialize();
		
		if(values == "" || values === undefined){
			values = "action=yAkisi&gunler="+hangisiAktif+"";
		}
		
		console.log(values);
		
		$('.kRadioContainer').append('<div class="kRadioOverlay">Lütfen bekleyin...</div>');
		$.ajax({
				url: kradio_js_object.ajax_url,
				type: 'post',
				data: values,
				success: function(data){
				console.log('post edildi ' + data) ;  
	
				if(data.sonuc != "0") {
					
					$('.kradio-update-message').fadeIn();
					
					location.reload();
					$('.kRadioOverlay').remove();
					
					setTimeout(function(){
						$('.kradio-update-message').fadeOut();
					}, 1500);
					
					
				}else {
					
					console.log("Sorun var gönderilemedi");
					
				}			
		}
				
		});		
			
		console.log(hangisiAktif);

	});	
	
	
	
	
	
	$('.gunKopyalaButton').on('click', function(e){
		e.preventDefault();
		
		var gunID = $(this).attr("data-id");
		var hangisiAktif 		= $("#yayinTab li.aktif").index();
		var program_adi			= $('#gunlerCopy_'+gunID+' option:selected').text();
		var program_gunID		= $('#gunlerCopy_'+gunID+' option:selected').val();
		
		var KopyalanacakGun = $('#'+gunID).html();		
		var KopyalananGun = $('#'+program_gunID).html(KopyalanacakGun);

		$(KopyalananGun).find('li .saatler input[name="gunler"]').each(function(data, ne){
			
			$(this).val(program_gunID);
			
		//	console.log(ne);
		})

		
		$(".yayinContent").hide();
		$(".yayinContent:eq("+ program_gunID +")").fadeIn("slow");		
		$("#yayinTab li").removeClass("aktif");	
		$("#yayinTab li:eq("+program_gunID+")").addClass("aktif");
		
		$("#yayinTab li:eq("+program_gunID+")").css('color', 'green');
		$("#yayinTab li:eq("+program_gunID+")").fadeIn(100).fadeOut(100).fadeIn(100).fadeOut(100).fadeIn(100);
		
		setTimeout(function(){
		$("#yayinTab li:eq("+program_gunID+")").css('color', '#000');
		
		},700);

	});
	
	
	
	
	
	
	$('.gunSatirKopyalaButton').on('click', function(e){
		e.preventDefault();
		
		var gunID 	= $(this).attr("data-id");
		var liID 	= $(this).attr("data-li");
		var hangisiAktif 		= $("#yayinTab li.aktif").index();
		var program_adi			= $('#gunlerSatirCopy_'+gunID+'_'+liID+' option:selected').text();
		var program_gunID		= $('#gunlerSatirCopy_'+gunID+'_'+liID+' option:selected').val();

		var KopyalanacakSatir = $('#'+gunID+' ul li:eq('+liID+')').html();		
		var KopyalananSatir = $('#'+program_gunID+' ul').append('<li>'+KopyalanacakSatir+'</li>');

		$(KopyalananSatir).find('.saatler input[name="gunler"]').each(function(data, ne){
			
			$(this).val(program_gunID);
			
			console.log(ne);
		})

		$(".yayinContent").hide();
		$(".yayinContent:eq("+ program_gunID +")").fadeIn("slow");		
		$("#yayinTab li").removeClass("aktif");	
		$("#yayinTab li:eq("+program_gunID+")").addClass("aktif");
		
		$("#yayinTab li:eq("+program_gunID+")").css('color', 'green');
		$("#yayinTab li:eq("+program_gunID+")").fadeIn(100).fadeOut(100).fadeIn(100).fadeOut(100).fadeIn(100);
		
		setTimeout(function(){
		$("#yayinTab li:eq("+program_gunID+")").css('color', '#000');
		
		},700);

	});	
	
	
	

});


})(jQuery);
